<?php
namespace Commands;

use Core\BaseCommand;
use Core\Cache;

class cacheCleanExpired extends BaseCommand {

    public $name = 'cache:clean-expired';
    public $description = 'Clean expired cache files';

    public function run($args) {
        $this->info('Cleaning expired cache files...');
        Cache::deleteExpired();
        $this->info('Done !');
    }

}