<?php
namespace Controllers;

use Core\BaseController;
use Core\Lang;
use Core\View;
use Mails\CustomEmail;
use Models\Memory;

class HomeController extends BaseController{

    public function welcome() {
        return View::render('welcome');
    }

    public function index() {
        return View::render('home');
    }

    public function setLang($lang) {
        Lang::instance()->setLang($lang);
        return $this->back();
    }
}