<?php

namespace Mails;

use Core\MailTemplate;
use Core\View;

class CustomEmail extends MailTemplate {
    
    public $content;

    public function __construct($to, $subject, $content) {
        $this->to($to);
        $this->subject($subject);
        $this->content = $content;
    }

    public function html() {
        return View::mail('mails/custom', [
            'content' => $this->content
        ]);
    }
}