<?php
namespace Models;

use Core\BaseModel;

class User extends BaseModel {

    protected $version = '1.0.0';

    // Install the user table
    public function install($fields) {

        $fields = array_merge($fields, [
            [
                'name' => 'username',
                'type' => 'varchar',
                'length' => 255,
                'null' => false
            ],
            [
                'name' => 'password',
                'type' => 'varchar',
                'length' => 255,
                'null' => false
            ],
            [
                'name' => 'email',
                'type' => 'varchar',
                'length' => 255,
                'null' => false
            ],
            [
                'name' => 'last_online',
                'type' => 'datetime',
                'null' => true
            ],
            [
                'name' => 'role',
                'type' => 'varchar',
                'length' => 255,
                'null' => false,
                'default' => 'user'
            ]
        ]);

        parent::install($fields);
    }
}