<?php
namespace Commands;

use Core\BaseCommand;
use Core\Cache;

class cacheClear extends BaseCommand {

    public $name = 'cache:clear';
    public $description = 'Clear the cache';

    public function run($args) {
        $this->info("Clearing cache...\n");
        Cache::deleteAll();
        $this->info("Cache cleared.\n");
    }

}