<?php
namespace Commands;

use Core\Cache;

class configClear extends \Core\BaseCommand {

    public $name = 'config:clear';
    public $description = 'Clear configs cache';

    public function run($args) {
        $this->info('Clearing configq cache...');
        // Get all files in Configs
        $files = scandir(dirname(__FILE__) . '/../Configs');
        foreach($files as $file) {
            // If the file is a PHP file
            if(strpos($file, '.php') !== false) {
                // Get the file name without the extension
                $fileName = str_replace('.php', '', $file);
                // Delete the cache file
                Cache::delete("config.{$fileName}");
            }
        }
        $this->info('Done !');
    }

}