<?php
namespace Commands;

use Core\BaseCommand;
use Core\Scheduler;

class Schedule extends BaseCommand {
    
    public $name = 'schedule:run';
    public $description = 'Run scheduled tasks';

    public function run($args) {
        $this->info('Running scheduled tasks...');
        
        (new Scheduler())->run();

        $this->info('Done');
    }
}