<?php
namespace Core\Exceptions;

class PageNotFoundException extends BaseException {

    public function __construct($message = 'Route not found', $code = 404, \Exception $previous = null) {
        parent::__construct($message, $code, $previous);        
    }

    public function __toString() {
        return __CLASS__ . ": [{$this->code}]: {$this->message}\n";
    }

}