<?php

namespace Mails;

use Core\MailTemplate;
use Core\View;
use Models\User;

class WelcomeEmail extends MailTemplate {
    
    public $user;

    public function __construct(User $user) {
        $this->user = $user;
        $this->subject(__('Welcome to Thommy Assistant'));
        $this->to($user->email);
    }

    public function html() {
        return View::mail('mails/welcome', [
            'user' => $this->user,
        ]);
    }
}