<?php
use Core\View;

// On définit le layout à utiliser
View::layout("layouts.master");
// On définit le titre de la page (afficher dans le layout à l'emplacement "title")
View::set('title',  __('home'));
?>

<!-- On définit le contenu de la page (afficher dans le layout à l'emplacement "content") -->
<?php View::start("main"); ?>

    <div class="text-center">
        <h1 class="text-3xl mb-2">BUCAILLE Thommy</h1>
        <p class="text-gray-500 mb-2">Développeur Web Full Stack</p>

        <!-- Contact -->
        <div class="flex justify-center gap-4 mt-4 mb-4">
            <a href="mailto:contact@bucaille-thommy.fr" class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded">Me contacter</a>
        </div>
    </div>

<?php View::end(); ?>
